### R code from vignette source 'mhw_1'

###################################################
### code chunk number 1: mhw_1.Rnw:19-23
###################################################
options(prompt="> ", continue="+ ", digits=5, width=70, show.signif.stars=F)
par(mfrow=c(1,1))
rm(list=ls())
setwd("~/data/Journal/Monographs/StatsMonographs/MHW_Sweave/")


###################################################
### code chunk number 2: mhw_1.Rnw:86-88
###################################################
sample <- runif(12, -1, 1)
print(sample)


###################################################
### code chunk number 3: mhw_1.Rnw:91-93
###################################################
sample <- round(sample, 2)
sample


###################################################
### code chunk number 4: mhw_1.Rnw:96-97
###################################################
(sample <- sort(sample))


###################################################
### code chunk number 5: mhw_1.Rnw:124-126
###################################################
(10 + 0)/2
(10 - 0)^2/12


###################################################
### code chunk number 6: mhw_1.Rnw:131-134
###################################################
sample <- runif(20, min=0, max=10)
mean(sample)
var(sample)


###################################################
### code chunk number 7: mhw_1.Rnw:143-146
###################################################
ls()
rm(sample)
ls()


###################################################
### code chunk number 8: mhw_1.Rnw:154-155
###################################################
help(round)


###################################################
### code chunk number 9: mhw_1.Rnw:169-174
###################################################
runif(1)
sort(runif(12))
sort(runif(12, 0, 5))
sort(runif(12, min=0, max=5))
sort(runif(max=5, n=12, min=0))


###################################################
### code chunk number 10: mhw_1.Rnw:181-182
###################################################
help.search("principal component")


###################################################
### code chunk number 11: mhw_1.Rnw:198-199
###################################################
help(prcomp)


###################################################
### code chunk number 12: mhw_1.Rnw:228-229 (eval = FALSE)
###################################################
## q()


###################################################
### code chunk number 13: mhw_1.Rnw:292-293 (eval = FALSE)
###################################################
## getwd()


###################################################
### code chunk number 14: mhw_1.Rnw:298-299 (eval = FALSE)
###################################################
## file.show("mhw.csv")


###################################################
### code chunk number 15: mhw_1.Rnw:315-316
###################################################
mhw <- read.csv("mhw.csv")


###################################################
### code chunk number 16: mhw_1.Rnw:331-332
###################################################
str(mhw)


###################################################
### code chunk number 17: mhw_1.Rnw:341-343
###################################################
names(mhw)
colnames(mhw)


###################################################
### code chunk number 18: mhw_1.Rnw:354-355
###################################################
class(mhw)


###################################################
### code chunk number 19: mhw_1.Rnw:367-369
###################################################
summary(mhw$grain)
summary(mhw$straw)


###################################################
### code chunk number 20: mhw_1.Rnw:376-377
###################################################
dim(mhw)


###################################################
### code chunk number 21: mhw_1.Rnw:387-393
###################################################
mhw[1,]
   # third  column
   # third column of first row
length(mhw[,3])
summary(mhw[,3])
mhw[1, 3]


###################################################
### code chunk number 22: mhw_1.Rnw:398-400
###################################################
   # a named column
mhw[1, "grain"]


###################################################
### code chunk number 23: mhw_1.Rnw:407-409
###################################################
mhw[64,"grain"]
mhw[64, c("r", "c")]


###################################################
### code chunk number 24: mhw_1.Rnw:416-417
###################################################
mhw[1:3, 1:2]


###################################################
### code chunk number 25: mhw_1.Rnw:422-424
###################################################
summary(mhw[-(1:20),"grain"])
summary(mhw$grain[-(1:20)])


###################################################
### code chunk number 26: mhw_1.Rnw:429-432
###################################################
head(mhw[,3])
tail(mhw[,"grain"], n=10)
head(mhw$grain)


###################################################
### code chunk number 27: mhw_1.Rnw:443-446
###################################################
head(sort(mhw$straw), n=5)
head(order(mhw$straw), n=5)
head(mhw[order(mhw$straw), ] , n=5)


###################################################
### code chunk number 28: mhw_1.Rnw:459-460
###################################################
head(rev(sort(mhw$straw)), n=5)


###################################################
### code chunk number 29: mhw_1.Rnw:465-466
###################################################
head(sort(mhw$straw, decreasing=T), n=5)


###################################################
### code chunk number 30: mhw_1.Rnw:471-472
###################################################
tail(sort(mhw$straw), n=5)


###################################################
### code chunk number 31: mhw_1.Rnw:488-492
###################################################
(ix <- which(mhw$grain == max(mhw$grain)))
mhw[ix,]
(ix <- which(mhw$grain == min(mhw$grain)))
mhw[ix,]


###################################################
### code chunk number 32: mhw_1.Rnw:497-501
###################################################
(ix <- which.max(mhw$grain))
mhw[ix, ]
(ix <- which.min(mhw$grain))
mhw[ix, ]


###################################################
### code chunk number 33: mhw_1.Rnw:515-516
###################################################
mhw[which(mhw$straw > 8.8),]


###################################################
### code chunk number 34: mhw_1.Rnw:527-537
###################################################
col.right <- mhw[mhw$c==max(mhw$c),c("grain","straw","r")]
str(col.right)
(row.order <- order(col.right$grain, decreasing=T))
# no apparent order by rows
(col.right[row.order,])
t(col.right[row.order,])
# straw yields have some correspondence
dotchart(col.right[row.order,"straw"], main="Straw yields in decreasing grain-yield order")
# plot shows this also
rm(col.right, row.order)


###################################################
### code chunk number 35: mhw_1.Rnw:550-551
###################################################
save(mhw, file="mhw.RData")


###################################################
### code chunk number 36: mhw_1.Rnw:604-605
###################################################
stem(mhw$grain)


###################################################
### code chunk number 37: mhw_1.Rnw:622-623
###################################################
hist(mhw$grain)


###################################################
### code chunk number 38: mhw_1.Rnw:649-651
###################################################
hist(mhw$grain, breaks=seq(2.6, 5.2, by=.1), col="lightblue", border="red", main="Mercer-Hall uniformity trial", xlab="Grain yield, lb. per plot")
rug(mhw$grain)


###################################################
### code chunk number 39: mhw_1.Rnw:656-657
###################################################
seq(2.6, 5.2, by=.1)


###################################################
### code chunk number 40: hist-with-density
###################################################
hist(mhw$grain, breaks=seq(2.6, 5.2, by=.1), col="lavender", border="darkblue", main="Mercer-Hall uniformity trial",
     freq=F,
#     probability=T,
     xlab="Grain yield, lb.\ per plot")
lines(density(mhw$grain), lwd=1.5)
lines(density(mhw$grain, adj=2), lwd=1.5, col="brown")
lines(density(mhw$grain, adj=.5), lwd=1.5, col="red")
text(2.5,0.95,"Default bandwidth", col="darkblue", pos=4)
text(2.5,0.90,"Double bandwidth", col="brown", pos=4)
text(2.5,0.85,"Half bandwidth", col="red", pos=4)


###################################################
### code chunk number 41: enhanced-density
###################################################
plot(density(mhw$grain) ,xlab="Grain yield, lb.\ per plot",
     lwd=1.5, ylim=c(0,1), col="darkblue",
     main="Mercer-Hall uniformity trial")
rug(mhw$grain)
lines(density(mhw$grain, adj=2), lwd=1.5, col="brown")
lines(density(mhw$grain, adj=.5), lwd=1.5, col="red")
text(2.5,0.85,"Default bandwidth", col="darkblue", pos=4)
text(2.5,0.80,"Double bandwidth", col="brown", pos=4)
text(2.5,0.75,"Half bandwidth", col="red", pos=4)


###################################################
### code chunk number 42: enhanced-hist-with-text
###################################################
h <- hist(mhw$grain, breaks = seq(2.6, 5.2, by=.2), plot=F)
str(h)
plot(h, col = heat.colors(length(h$mids))[length(h$count)-
            rank(h$count)+1],
     ylim = c(0, max(h$count)+5),
     main="Frequency histogram, Mercer & Hall grain yield",
     sub="Counts shown above bar, actual values shown with rug plot",
     xlab="Grain yield, lb. per plot")
rug(mhw$grain)
text(h$mids, h$count, h$count, pos=3)
rm(h)


###################################################
### code chunk number 43: mhw_1.Rnw:763-764
###################################################
plot(mhw$grain, mhw$straw)  


###################################################
### code chunk number 44: mhw_1.Rnw:787-800
###################################################
plot(mhw$grain, mhw$straw, cex=0.8, pch=21, col="blue",
     bg="red", xlab="Grain yield, lb.\ plot-1",
     ylab="Straw yield, lb.\ per plot-1")
grid()
title(main="Mercer-Hall wheat uniformity trial")
abline(v=mean(mhw$grain), lty=2, col="blue")
abline(h=mean(mhw$straw), lty=2, col="blue")
points(mean(mhw$grain), mean(mhw$straw), pch=23, col="black",
       bg="brown", cex=2)
text(mean(mhw$grain), min(mhw$straw),
     paste("Mean:",round(mean(mhw$grain),2)), pos=4)
text(min(mhw$grain), mean(mhw$straw),
     paste("Mean:",round(mean(mhw$straw),2)), adj=c(0,-1))


###################################################
### code chunk number 45: mhw_1.Rnw:816-818 (eval = FALSE)
###################################################
## plot(mhw$grain, mhw$straw)  
## pts <- identify(mhw$grain, mhw$straw)


###################################################
### code chunk number 46: mhw_1.Rnw:820-821
###################################################
pts <- c(15, 35, 184, 284, 292, 295, 311, 337)


###################################################
### code chunk number 47: mhw_1.Rnw:836-839
###################################################
tmp <- mhw[ pts, ]
tmp[ order(tmp$grain), ]
rm(pts, tmp)


###################################################
### code chunk number 48: mhw_1.Rnw:879-882
###################################################
summary(mhw)
# summary(scale(mhw[,c("grain","straw")]))
summary(mhw$grain)


###################################################
### code chunk number 49: mhw_1.Rnw:896-901
###################################################
max(mhw$grain)
min(mhw$grain)
median(mhw$grain)
mean(mhw$grain)
quantile(mhw$grain, probs=c(.25, .75))


###################################################
### code chunk number 50: mhw_1.Rnw:912-915
###################################################
var(mhw$grain)
sd(mhw$grain)
IQR(mhw$grain)


###################################################
### code chunk number 51: mhw_1.Rnw:930-934
###################################################
require(e1071)
skewness(mhw$grain)
kurtosis(mhw$grain)
detach(package:e1071)


###################################################
### code chunk number 52: mhw_1.Rnw:985-987
###################################################
diff(range(mhw$grain))
diff(range(mhw$grain))/median(mhw$grain)


###################################################
### code chunk number 53: mhw_1.Rnw:996-998
###################################################
ix <- which.min(mhw$grain)
mhw[ix,"straw"]


###################################################
### code chunk number 54: mhw_1.Rnw:1012-1017
###################################################
   # find all 
row.names(subset(mhw, mhw$grain<3))
quantile(mhw$grain)
quantile(mhw$grain, seq(0, 1, .1))
mhw[mhw$grain < quantile(mhw$grain, .01), ]


###################################################
### code chunk number 55: mhw_1.Rnw:1055-1056 (eval = FALSE)
###################################################
## fix(mhw)


###################################################
### code chunk number 56: compute.gsr
###################################################
gsr <- mhw$grain/mhw$straw
summary(gsr)


###################################################
### code chunk number 57: range.gsr
###################################################
range(gsr)
diff(range(gsr))/median(gsr)
diff(range(mhw$grain))/median(mhw$grain)


###################################################
### code chunk number 58: add-gsr
###################################################
mhw <- cbind(mhw, gsr)
str(mhw)  


###################################################
### code chunk number 59: mhw_1.Rnw:1103-1106
###################################################
ls()
rm(gsr)
ls()


###################################################
### code chunk number 60: mhw_1.Rnw:1139-1140
###################################################
save(mhw, file="mhw2.RData")


