### R code from vignette source 'mhw_1b'

###################################################
### code chunk number 1: mhw_1b.Rnw:57-58
###################################################
summary(model.straw.ns)


###################################################
### code chunk number 2: mhw_1b.Rnw:67-68
###################################################
summary(model.straw.grain)


###################################################
### code chunk number 3: mhw_1b.Rnw:93-95
###################################################
model.straw.ns.grain <- lm(straw ~ in.north + grain, data=mhw)
summary(model.straw.ns.grain)


###################################################
### code chunk number 4: mhw_1b.Rnw:108-121
###################################################
# scatterplot, coloured by zone
with(mhw,
     plot(straw ~ grain, col=ifelse(in.north,"blue","slategray"), pch=20, xlab="grain (lbs plot-1)", ylab="straw (lbs plot-1)"))
title(main="Straw vs. grain yield")
title(sub="N half: blue, S half: grey; whole-field line: red")                  # S
abline(coefficients(model.straw.ns.grain)["(Intercept)"] , coefficients(model.straw.ns.grain)["grain"], col="slategray")
# N
abline(coefficients(model.straw.ns.grain)["(Intercept)"] 
    +  coefficients(model.straw.ns.grain)["in.northTRUE"]
   , coefficients(model.straw.ns.grain)["grain"], col="blue")
# univariate line
abline(model.straw.grain, lty=2, col="red")
grid()


###################################################
### code chunk number 5: mhw_1b.Rnw:143-146
###################################################
summary(model.straw.ns)$adj.r.squared
summary(model.straw.grain)$adj.r.squared
summary(model.straw.ns.grain)$adj.r.squared


###################################################
### code chunk number 6: mhw_1b.Rnw:162-164
###################################################
anova(model.straw.ns.grain, model.straw.ns)
anova(model.straw.ns.grain, model.straw.grain)


###################################################
### code chunk number 7: mhw_1b.Rnw:189-191
###################################################
model.straw.ns.grain.i <- lm(straw ~ in.north * grain, data=mhw)
summary(model.straw.ns.grain.i)


###################################################
### code chunk number 8: mhw_1b.Rnw:210-221
###################################################
with(mhw,
     plot(straw ~ grain, col=ifelse(in.north,"blue","slategray"), pch=20, xlab="grain (lbs plot-1)", ylab="straw (lbs plot-1)"))
title(main="Straw vs. grain, by field half")
title(sub="Interaction: solid lines; additive: dashed lines")
abline(lm(straw ~ grain, data=mhw, subset=in.north), col="blue")
abline(lm(straw ~ grain, data=mhw, subset=!in.north), col="slategray")
abline(coefficients(model.straw.ns.grain)["(Intercept)"] , coefficients(model.straw.ns.grain)["grain"], col="slategray", lty=2)
# N
abline(coefficients(model.straw.ns.grain)["(Intercept)"] 
    +  coefficients(model.straw.ns.grain)["in.northTRUE"]
   , coefficients(model.straw.ns.grain)["grain"], col="blue", lty=2)


###################################################
### code chunk number 9: mhw_1b.Rnw:230-233
###################################################
summary(model.straw.ns.grain)$adj.r.squared
summary(model.straw.ns.grain.i)$adj.r.squared
anova(model.straw.ns.grain.i, model.straw.ns.grain)


###################################################
### code chunk number 10: mhw_1b.Rnw:252-255
###################################################
par(mfrow=c(2,2))
plot(model.straw.ns.grain, which=c(1,2,5,6), id.n=10)
par(mfrow=c(1,1))


###################################################
### code chunk number 11: mhw_1b.Rnw:267-269
###################################################
(selected <- which(abs(rstandard(model.straw.ns.grain)) > 3))
rstandard(model.straw.ns.grain)[selected]


###################################################
### code chunk number 12: mhw_1b.Rnw:274-278
###################################################
mhw.hires <- cbind(mhw[selected,], 
                   sres = rstandard(model.straw.ns.grain)[selected])
rm(selected)
str(mhw.hires)


###################################################
### code chunk number 13: mhw_1b.Rnw:283-284
###################################################
mhw.hires[order(mhw.hires$sres),]


###################################################
### code chunk number 14: vis-large-resid
###################################################
with(mhw,
     plot(c, r, ylim=c(20,1),
          cex=3*gsr/max(gsr), pch=20,
          col=ifelse(rstandard(model.straw.ns.grain) > 3, "brown",
              ifelse(rstandard(model.straw.ns.grain) < (-3), "red",
                     ifelse(in.north, "lightblue", "gray"))),
          xlab="column", ylab="row"))
abline(h=10.5)
title(main="Large residuals, straw yield vs.\ field half and grain yield")
title(sub="Positive: brown; negative: red")


###################################################
### code chunk number 15: mhw_1b.Rnw:325-328
###################################################
model.straw.ns.grain.adj <- lm(straw ~ in.north + grain, data=mhw[-c(15,35),])
summary(model.straw.ns.grain.adj)
summary(model.straw.ns.grain)


###################################################
### code chunk number 16: mhw_1b.Rnw:352-358
###################################################
model.straw.ns.grain.nest <- lm(straw ~ in.north / grain, data=mhw)
summary(model.straw.ns.grain.nest)
plot(straw ~ grain, data=mhw, col=ifelse(mhw$in.north, "blue", "slategray"), pch=20, xlim=c(2.5,5.5), ylim=c(4,9.5))
coef <- coef(model.straw.ns.grain.nest)
abline(coef[1], coef[3], col="slategray")
abline(coef[1]+coef[2], coef[4], col="blue")


###################################################
### code chunk number 17: mhw_1b.Rnw:515-517
###################################################
rm(model.straw.ns, model.straw.grain, model.straw.ns.grain, model.straw.ns.grain.adj, model.straw.ns.grain.i, model.straw.ns.grain.nest)
rm(struct.beta, beta, mhw.hires)


