### R code from vignette source 'mhw_1d'

###################################################
### code chunk number 1: mhw_1d.Rnw:82-93
###################################################
Xval <- function(model, dset) {
  pred <- rep(0, nrow(dset))
  n <- length(coefficients(model))
  coef <- matrix(0, nrow=nrow(dset), ncol=n)
  colnames(coef) <- paste("b", as.character(0:(n-1)) , sep="")
  for (i in 1:nrow(dset)) {
    m <- lm(formula(model), data=dset[-i,]);
    pred[i] <- predict(m, newdata=dset[i,])
    coef[i,] <- coefficients(m)
  }
  return(list(pred=pred, coef=coef))}


###################################################
### code chunk number 2: mhw_1d.Rnw:100-102
###################################################
xval.fit <- Xval(model.straw.grain, mhw)
str(xval.fit)


###################################################
### code chunk number 3: mhw_1d.Rnw:110-114
###################################################
lim <- range(xval.fit$pred, mhw$straw)
plot(mhw$straw ~ xval.fit$pred, asp=1, xlim=lim, ylim=lim, xlab="LOOCV prediction", ylab="Actual")
abline(0,1)
grid()


###################################################
### code chunk number 4: mhw_1d.Rnw:121-124
###################################################
xval.res <- xval.fit$pred - mhw$straw
summary(xval.res)
hist(xval.res, main="LOOCV residuals")


###################################################
### code chunk number 5: mhw_1d.Rnw:137-140
###################################################
sqrt(sum(xval.res^2)/nrow(mhw))
sqrt(sum(residuals(model.straw.grain)^2)/(model.straw.grain$df.residual))
print(valid.rmsep)


###################################################
### code chunk number 6: mhw_1d.Rnw:153-155
###################################################
summary(xval.fit$coef, digits=5)
coefficients(model.straw.grain)


###################################################
### code chunk number 7: mhw_1d.Rnw:179-186
###################################################
round(sqrt(sum(xval.res^2)/nrow(mhw)),4)
round(valid.rmsep,4)
round(sqrt(sum(residuals(model.straw.grain)^2)/(model.straw.grain$df.residual)),4)
round(diff(range(xval.fit$coef[,2])),4)
round(coefficients(model.straw.grain)["grain"],4)
round(diff(range(xval.fit$coef[,1])),4)
round(coefficients(model.straw.grain)[1],4)


