### R code from vignette source 'mhw_3'

###################################################
### code chunk number 1: mhw_3.Rnw:30-31
###################################################
round(100 * sd(mhw$grain)/mean(mhw$grain),1)


###################################################
### code chunk number 2: mhw_3.Rnw:40-42
###################################################
cv <- function(x) { round(100*sd(x) / mean(x),1) }
class(cv)


###################################################
### code chunk number 3: mhw_3.Rnw:51-52
###################################################
cv(mhw$grain)


###################################################
### code chunk number 4: mhw_3.Rnw:81-82
###################################################
plot.len; plot.wid; plot.area


###################################################
### code chunk number 5: mhw_3.Rnw:89-94
###################################################
plots <- data.frame(acre.fraction=c(500, 250, 125, 100, 50, 25, 10),
      adj.rows=c(1, 2, 4, 1, 2, 4, 10),
      adj.col=c(1, 1, 1, 5, 5, 5, 5))
row.names(plots) <- c("1/500", "1/250", "1/125", "1/100", "1/50", "1/25", "1/10")
str(plots)


###################################################
### code chunk number 6: mhw_3.Rnw:99-103
###################################################
plots <- cbind(plots, len = plot.len*plots$adj.row)
plots <- cbind(plots, wid = plot.wid*plots$adj.col)
plots <- cbind(plots, area = plots$len * plots$wid)
plots


###################################################
### code chunk number 7: mhw_3.Rnw:120-121
###################################################
head(mhw$r%%2, 20)


###################################################
### code chunk number 8: mhw_3.Rnw:126-130
###################################################
tmp <- unstack(mhw, grain ~ r%%2); str(tmp)
grain.250 <- tmp$X0 + tmp$X1; rm(tmp)
str(grain.250)
cv(grain.250)


###################################################
### code chunk number 9: mhw_3.Rnw:139-143
###################################################
plots.250 <- data.frame(r = seq(1.5, 19.5, by=2),
      c=rep(1:25, each=10),
      grain = grain.250)
str(plots.250)


###################################################
### code chunk number 10: mhw_3.Rnw:152-161
###################################################
with(mhw,
     plot(plots.250$c, plots.250$r, pch=20, cex=2,
          bg="lightblue", xlab="column", ylab="row",
          main="Grain yield of 1/250 acre plots",
          sub="Colour of circles from low yield (green) to high (gray)",
          xlim=c(1, 25), ylim=c(20, 1),
          col=terrain.colors(8)[cut(grain,
              quantile(grain, seq(0, 1, length=9)),
              include.lowest=T, labels=F)]))


###################################################
### code chunk number 11: mhw_3.Rnw:177-186
###################################################
tmp <- unstack(mhw, grain ~ r%%4); str(tmp)
grain.125 <- apply(tmp, 1, sum)
rm(tmp)
str(grain.125)
cv(grain.125)
plots.125 <- data.frame(r = seq(2, 18, by=4),
      c=rep(1:25, each=10),
      grain = grain.125)
str(plots.125)


###################################################
### code chunk number 12: mhw_3.Rnw:192-200
###################################################
tmp <- unstack(mhw, grain ~ c %% 5)
grain.100 <- apply(tmp, 1, sum)
rm(tmp)
cv(grain.100)
plots.100 <- data.frame(r = rep(1:20, each=5),
      c=seq(3, 23, by=5),
      grain = grain.100)
str(plots.100)


###################################################
### code chunk number 13: mhw_3.Rnw:207-215
###################################################
tmp <- unstack(plots.100, grain ~ r %% 2)
grain.50 <-  apply(tmp, 1, sum)
rm(tmp)
cv(grain.50)
plots.50 <- data.frame(r = rep(seq(1.5, 19.5, by=2), each=5),
      c=seq(3, 23, by=5),
      grain = grain.50)
str(plots.50)


###################################################
### code chunk number 14: mhw_3.Rnw:220-228
###################################################
tmp <- unstack(plots.100, grain ~ r %% 4)
grain.25 <-  apply(tmp, 1, sum)
rm(tmp)
cv(grain.25)
plots.25 <- data.frame(r = rep(seq(2.5, 18.5, by=4), each=5),
      c=seq(3, 23, by=5),
      grain = grain.25)
str(plots.25)


###################################################
### code chunk number 15: mhw_3.Rnw:233-241
###################################################
tmp <- unstack(plots.100, grain ~ r %% 10)
grain.10 <-  apply(tmp, 1, sum)
rm(tmp)
cv(grain.10)
plots.10 <- data.frame(r = rep(seq(5.5, 15.5, by=10), each=5),
      c=seq(3, 23, by=5),
      grain = grain.10)
str(plots.10)


###################################################
### code chunk number 16: mhw_3.Rnw:254-261
###################################################
summary(mhw$grain)
   summary(plots.250$grain)/2
   summary(plots.125$grain)/4
   summary(plots.100$grain)/5
   summary(plots.50$grain)/10
   summary(plots.25$grain)/20
   summary(plots.10$grain)/50


###################################################
### code chunk number 17: mhw_3.Rnw:269-288
###################################################
print(size.cv <- data.frame(area = plots$area, cv = c(
   cv(mhw$grain), cv(plots.250$grain), cv(plots.125$grain),
   cv(plots.100$grain), cv(plots.50$grain), cv(plots.25$grain),
   cv(plots.10$grain))))
plot(size.cv$area, size.cv$cv, xlab="Plot size, m^2",
     ylab="Coefficient of variation, %",
     main="Plot size vs. CV, Mercer-Hall grain", type="b",
     xlim=c(0,600))
grid()
text(size.cv$area, size.cv$cv, pos=4,
     paste(
        plots$adj.rows,
        " row",
        ifelse(plots$adj.rows==1,"","s"),
        ", ",
        plots$adj.col,
        " column",
         ifelse(plots$adj.col==1,"","s"),
         sep=""))


###################################################
### code chunk number 18: mhw_3.Rnw:298-304 (eval = FALSE)
###################################################
## rm(cv,
##    plot.len, plot.wid, plot.area,plots,
##    plots.250, plots.125, plots.100, plots.50,
##    plots.25, plots.10,
##    grain.250, grain.125, grain.100, grain.50,
##    grain.25, grain.10, size.cv)


###################################################
### code chunk number 19: mhw_3.Rnw:321-322
###################################################
plots[,c("len", "wid", "area")]


###################################################
### code chunk number 20: mhw_3.Rnw:356-361
###################################################
rm(cv,
   plots,
   plots.250, plots.125, plots.100, plots.50, plots.25, plots.10, grain.250, grain.125, grain.100, grain.50, grain.25,  grain.10,
   size.cv
   )


